Main Page Packages Class Hierarchy Compound List File List Compound Members

# characterdatareplacedatamiddle Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| characterdatareplacedatamiddle (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "replaceData(offset,count,arg)" method replaces the characters starting at the specified offset with the specified string. Test for replacement in the middle of the data.

Retrieve the character data from the last child of the first employee. The "replaceData(offset,count,arg)" method is then called with offset=5 and count=5 and arg="South". The method should replace characters five thru 9 of the character data with "South".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-72AB8359 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-E5CBA7FB

Definition at line 49 of file characterdatareplacedatamiddle.java.

## Constructor & Destructor Documentation

characterdatareplacedatamiddle::characterdatareplacedatamiddle | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file characterdatareplacedatamiddle.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String characterdatareplacedatamiddle::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 72 of file characterdatareplacedatamiddle.java.
    00072                                 {
    00073       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/characterdatareplacedatamiddle";
    00074    }

void characterdatareplacedatamiddle::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 75 of file characterdatareplacedatamiddle.java. References DOMTestCase::doMain().
    00075                                           {
    00076         DOMTestCase.doMain(characterdatareplacedatamiddle.class,args);
    00077    }

void characterdatareplacedatamiddle::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file characterdatareplacedatamiddle.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       NodeList elementList;
    00060       Node nameNode;
    00061       CharacterData child;
    00062       String childData;
    00063       doc = load("staff");
    00064       elementList = doc.getElementsByTagName("address");
    00065       nameNode = elementList.item(0);
    00066       child = (CharacterData)nameNode.getFirstChild();
    00067       child.replaceData(5,5,"South");
    00068       childData = child.getData();
    00069       assertEquals("characterdataReplaceDataMiddleAssert","1230 South Ave. Dallas, Texas 98551",childData);
    00070
    00071    }

The documentation for this class was generated from the following file:

- characterdatareplacedatamiddle.java